HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Delete Account with {accountId}

This allows you to delete a specific account using the corresponding Arcadia {accountId}. Note that the account still remains but its status is switched to "DELETED".

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Delete an account using the Arcadia-generated accountId.

Use this endpoint when you store and reference the Arcadia accountId for an account. To delete an account using your own account identifier, use Delete Account with providerAccountId.

Deleting an account does not remove the account record from the API. The account remains available for historical reference, but its status changes to DELETED.

Resource URI

DELETE /rest/v1/accounts/{accountId}

Path parameters

ParameterTypeDescription
accountIdStringUnique Arcadia ID of the Account object. Required.

For the full account data model, account workflow, and detailed examples, see Accounts API.

Example

DELETE /rest/v1/accounts/c2a630e8-c99a-4347-a460-d116e83439d2

A successful response returns a standard response payload indicating that the account status was changed to DELETED.

{
  "status": "success",
  "count": 1,
  "type": "Account",
  "results": [
    {
      "accountId": "c2a630e8-c99a-4347-a460-d116e83439d2",
      "status": "DELETED"
    }
  ]
}
Path Params
string
required

This is the unique Arcadia ID of this Account object.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json